new stuff
authorBernhard Urban <lewurm@gmail.com>
Fri, 10 Dec 2010 16:20:20 +0000 (17:20 +0100)
committerBernhard Urban <lewurm@gmail.com>
Fri, 10 Dec 2010 17:51:20 +0000 (18:51 +0100)
29 files changed:
gnome-applets/PKGBUILD [new file with mode: 0644]
gnome-applets/gnome-applets.install [new file with mode: 0644]
haskell-regex-base/PKGBUILD [new file with mode: 0644]
haskell-regex-base/haskell-regex-base.install [new file with mode: 0644]
haskell-regex-compat/PKGBUILD [new file with mode: 0644]
haskell-regex-compat/haskell-regex-compat.install [new file with mode: 0644]
haskell-regex-posix/PKGBUILD [new file with mode: 0644]
haskell-regex-posix/haskell-regex-posix.install [new file with mode: 0644]
haskell-stm/PKGBUILD [new file with mode: 0644]
haskell-stm/haskell-stm.install [new file with mode: 0644]
inetutils/ChangeLog [new file with mode: 0644]
inetutils/PKGBUILD [new file with mode: 0644]
inetutils/ftpd.conf [new file with mode: 0644]
inetutils/ftpd.rc [new file with mode: 0644]
inetutils/inetutils.install [new file with mode: 0644]
inetutils/rexec.xinetd [new file with mode: 0644]
inetutils/rlogin.xinetd [new file with mode: 0644]
inetutils/rsh.xinetd [new file with mode: 0644]
inetutils/talk.xinetd [new file with mode: 0644]
inetutils/telnet.xinetd [new file with mode: 0644]
lhs2tex/PKGBUILD [new file with mode: 0644]
mobile-broadband-provider-info/PKGBUILD [new file with mode: 0644]
network-manager-applet/PKGBUILD [new file with mode: 0644]
network-manager-applet/network-manager-applet.install [new file with mode: 0644]
networkmanager/NetworkManager.conf [new file with mode: 0644]
networkmanager/PKGBUILD [new file with mode: 0644]
networkmanager/create_dirs.patch [new file with mode: 0644]
networkmanager/disable_set_hostname.patch [new file with mode: 0644]
networkmanager/networkmanager.install [new file with mode: 0644]

diff --git a/gnome-applets/PKGBUILD b/gnome-applets/PKGBUILD
new file mode 100644 (file)
index 0000000..20f09eb
--- /dev/null
@@ -0,0 +1,39 @@
+# $Id: PKGBUILD 100381 2010-11-23 05:18:09Z heftig $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=gnome-applets
+pkgver=2.32.1.1
+pkgrel=1
+pkgdesc="GNOME Applets"
+arch=(i686 x86_64 ppc)
+license=('GPL')
+depends=('gstreamer0.10-base-plugins>=0.10.30' 'gnome-panel>=2.31.92' 'libgtop>=2.28.1' 'gucharmap>=2.32.0' 'libnotify>=0.4.5' 'cpufrequtils')
+makedepends=('gnome-doc-utils>=0.20.1' 'pkgconfig' 'gnome-settings-daemon>=2.31.92' 'intltool' 'gnome-icon-theme>=2.31.0' 'gnome-python-desktop>=2.31.1' 'networkmanager>=0.8')
+optdepends=('python-gnomeapplet: invest-applet')
+options=(!emptydirs)
+url="http://www.gnome.org"
+groups=(gnome)
+install=gnome-applets.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.32/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('2b92fe4b3062dfbe264f45472b4db3a27d1e69e13260d37da9fb36b2cbd40327')
+       
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  PYTHON=python2 ./configure --prefix=/usr --sysconfdir=/etc \
+      --libexecdir=/usr/lib/gnome-applets \
+      --localstatedir=/var --disable-static \
+      --disable-scrollkeeper --enable-mixer-applet \
+      --disable-schemas-install --without-hal
+  make
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+  rm -f ${pkgdir}/usr/lib/*.la
+
+  sed -i "s|#!/usr/bin/env python$|#!/usr/bin/env python2|" \
+    $pkgdir/usr/bin/invest-chart \
+    $pkgdir/usr/lib/gnome-applets/invest-applet \
+    $pkgdir/usr/lib/python2.7/site-packages/invest/chart.py
+
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnome-applets-2.0 ${pkgdir}/etc/gconf/schemas/*.schemas
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}
diff --git a/gnome-applets/gnome-applets.install b/gnome-applets/gnome-applets.install
new file mode 100644 (file)
index 0000000..dd9c342
--- /dev/null
@@ -0,0 +1,22 @@
+pkgname=gnome-applets
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
diff --git a/haskell-regex-base/PKGBUILD b/haskell-regex-base/PKGBUILD
new file mode 100644 (file)
index 0000000..4b8e447
--- /dev/null
@@ -0,0 +1,37 @@
+# Maintainer: Vesa Kaihlavirta <vesa@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+_hkgname=regex-base
+pkgname=haskell-regex-base
+pkgrel=1.1
+pkgver=0.93.2
+pkgdesc="Interface API for regex-posix,pcre,parsec,tdfa,dfa"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/regex-base"
+license=('custom:BSD3')
+arch=('i686' 'x86_64' 'ppc')
+depends=(ghc=6.12.3 sh 'haskell-mtl=1.1.0.2')
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/regex-base/$pkgver/regex-base-$pkgver.tar.gz)
+install=haskell-regex-base.install
+md5sums=('e7b93b0b17eff8d3068ecb2f5d5f6ea3')
+
+build() {
+    cd ${srcdir}/${_hkgname}-$pkgver
+       ghc --make Setup.hs
+    ./Setup configure -O -p --enable-split-objs --prefix=/usr --docdir=/usr/share/doc/${pkgname}
+    ./Setup build
+    ./Setup haddock
+    ./Setup register   --gen-script
+    ./Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+    cd ${srcdir}/${_hkgname}-${pkgver}
+    install -D -m744 register.sh   ${pkgdir}/usr/share/haskell/${pkgname}/register.sh
+    install    -m744 unregister.sh ${pkgdir}/usr/share/haskell/${pkgname}/unregister.sh
+    install -d -m755 ${pkgdir}/usr/share/doc/ghc/html/libraries
+    ln -s /usr/share/doc/${pkgname}/html ${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}
+    ./Setup copy --destdir=${pkgdir}
+    install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+    rm -f ${pkgdir}/usr/share/doc/${pkgname}/LICENSE
+}
diff --git a/haskell-regex-base/haskell-regex-base.install b/haskell-regex-base/haskell-regex-base.install
new file mode 100644 (file)
index 0000000..3ad2fea
--- /dev/null
@@ -0,0 +1,18 @@
+HS_DIR=usr/share/haskell/haskell-regex-base
+post_install() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}
+post_remove() {
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
diff --git a/haskell-regex-compat/PKGBUILD b/haskell-regex-compat/PKGBUILD
new file mode 100644 (file)
index 0000000..e457df0
--- /dev/null
@@ -0,0 +1,37 @@
+# Maintainer: Vesa Kaihlavirta <vesa@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+_hkgname=regex-compat
+pkgname=haskell-regex-compat
+pkgver=0.93.1
+pkgrel=1.1
+pkgdesc="Replaces and enhances Text.Regex"
+url="http://hackage.haskell.org/package/regex-compat"
+license=('custom:BSD3')
+arch=('i686' 'x86_64' 'ppc')
+depends=(ghc=6.12.3 sh 'haskell-regex-base' 'haskell-regex-posix')
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/regex-compat/$pkgver/regex-compat-$pkgver.tar.gz)
+install=haskell-regex-compat.install
+md5sums=('d6becec95ea8098cab663116fdce60a5')
+
+build() {
+    cd ${srcdir}/${_hkgname}-$pkgver
+       ghc --make Setup.hs
+    ./Setup configure -O -p --enable-split-objs --prefix=/usr --docdir=/usr/share/doc/${pkgname}
+    ./Setup build
+    ./Setup haddock
+    ./Setup register   --gen-script
+    ./Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+    cd ${srcdir}/${_hkgname}-${pkgver}
+    install -D -m744 register.sh   ${pkgdir}/usr/share/haskell/${pkgname}/register.sh
+    install    -m744 unregister.sh ${pkgdir}/usr/share/haskell/${pkgname}/unregister.sh
+    install -d -m755 ${pkgdir}/usr/share/doc/ghc/html/libraries
+    ln -s /usr/share/doc/${pkgname}/html ${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}
+    ./Setup copy --destdir=${pkgdir}
+    install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+    rm -f ${pkgdir}/usr/share/doc/${pkgname}/LICENSE
+}
diff --git a/haskell-regex-compat/haskell-regex-compat.install b/haskell-regex-compat/haskell-regex-compat.install
new file mode 100644 (file)
index 0000000..898c0bb
--- /dev/null
@@ -0,0 +1,18 @@
+HS_DIR=usr/share/haskell/haskell-regex-compat
+post_install() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}
+post_remove() {
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
diff --git a/haskell-regex-posix/PKGBUILD b/haskell-regex-posix/PKGBUILD
new file mode 100644 (file)
index 0000000..f6fe4e0
--- /dev/null
@@ -0,0 +1,37 @@
+# Maintainer: Vesa Kaihlavirta <vesa@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+_hkgname=regex-posix
+pkgname=haskell-regex-posix
+pkgver=0.94.2
+pkgrel=1.1
+pkgdesc="The posix regex backend for regex-base"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/regex-posix"
+license=('custom:BSD3')
+arch=('i686' 'x86_64' 'ppc')
+depends=(ghc=6.12.3 sh 'haskell-regex-base=0.93.2')
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/regex-posix/$pkgver/regex-posix-$pkgver.tar.gz)
+install=haskell-regex-posix.install
+md5sums=('e3ebbd6b66fdb2f8c4f0ad95c4580852')
+
+build() {
+    cd ${srcdir}/${_hkgname}-$pkgver
+       ghc --make Setup.hs
+    ./Setup configure -O -p --enable-split-objs --prefix=/usr --docdir=/usr/share/doc/${pkgname}
+    ./Setup build
+    ./Setup haddock
+    ./Setup register   --gen-script
+    ./Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+package() {
+    cd ${srcdir}/${_hkgname}-${pkgver}
+    install -D -m744 register.sh   ${pkgdir}/usr/share/haskell/${pkgname}/register.sh
+    install    -m744 unregister.sh ${pkgdir}/usr/share/haskell/${pkgname}/unregister.sh
+    install -d -m755 ${pkgdir}/usr/share/doc/ghc/html/libraries
+    ln -s /usr/share/doc/${pkgname}/html ${pkgdir}/usr/share/doc/ghc/html/libraries/${_hkgname}
+    ./Setup copy --destdir=${pkgdir}
+    install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+    rm -f ${pkgdir}/usr/share/doc/${pkgname}/LICENSE
+}
diff --git a/haskell-regex-posix/haskell-regex-posix.install b/haskell-regex-posix/haskell-regex-posix.install
new file mode 100644 (file)
index 0000000..2b89fae
--- /dev/null
@@ -0,0 +1,18 @@
+HS_DIR=usr/share/haskell/haskell-regex-posix
+post_install() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}
+post_remove() {
+  (cd usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
diff --git a/haskell-stm/PKGBUILD b/haskell-stm/PKGBUILD
new file mode 100644 (file)
index 0000000..9809a7c
--- /dev/null
@@ -0,0 +1,36 @@
+# Maintainer: Vesa Kaihlavirta <vesa@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+# Package generated by cabal2arch 0.7.5
+pkgname=haskell-stm
+pkgver=2.1.2.1
+pkgrel=2
+pkgdesc="A modular composable concurrency abstraction."
+url="http://hackage.haskell.org/package/stm"
+license=('custom:BSD3')
+arch=('i686' 'x86_64' 'ppc')
+depends=(ghc=6.12.3 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/stm/$pkgver/stm-$pkgver.tar.gz)
+install=${pkgname}.install
+md5sums=('3e88c921b0f06701b3adada24b54576e')
+
+build() {
+    cd ${srcdir}/stm-$pkgver
+       ghc --make Setup.hs
+    ./Setup configure -p --enable-split-objs --prefix=/usr --docdir=/usr/share/doc/${pkgname}
+    ./Setup build
+    ./Setup haddock
+    ./Setup register   --gen-script
+    ./Setup unregister --gen-script
+}
+
+package() {
+    cd ${srcdir}/stm-$pkgver
+    install -D -m744 register.sh   ${pkgdir}/usr/share/haskell/${pkgname}/register.sh
+    install    -m744 unregister.sh ${pkgdir}/usr/share/haskell/${pkgname}/unregister.sh
+    install -d -m755 ${pkgdir}/usr/share/doc/ghc/html/libraries
+    ln -s /usr/share/doc/${pkgname}/html ${pkgdir}/usr/share/doc/ghc/html/libraries/stm
+    ./Setup copy --destdir=${pkgdir}
+    install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+    rm -f ${pkgdir}/usr/share/doc/${pkgname}/LICENSE
+}
diff --git a/haskell-stm/haskell-stm.install b/haskell-stm/haskell-stm.install
new file mode 100644 (file)
index 0000000..0c219fb
--- /dev/null
@@ -0,0 +1,22 @@
+HS_DIR=/usr/share/haskell/haskell-stm
+post_install() {
+  ${HS_DIR}/register.sh
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}
+post_remove() {
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+op=$1
+shift
+$op $*
diff --git a/inetutils/ChangeLog b/inetutils/ChangeLog
new file mode 100644 (file)
index 0000000..2801133
--- /dev/null
@@ -0,0 +1,35 @@
+2010-05-17  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.8-1
+       * Upstream update
+
+2010-01-27  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.7-2
+       * Fixed localstatedir (close FS#17981)
+
+2009-12-30  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.7-1
+       * Upstream update
+       * Replaced netkit's rexec by the new one from inetutils
+
+2009-01-20  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.6-3
+       * Added a provides/conflicts/replaces to netkit-ntalk (close FS#12865)
+
+2009-01-03  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.6-2
+       * Added patch to fix escape character in telnet
+
+2009-01-02  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.6-1
+       * Upstream update
+
+2008-12-31  Eric Belanger  <eric@archlinux.org>
+
+       * inetutils 1.5-1
+       * Added inetutils to repo (close FS#12281)
diff --git a/inetutils/PKGBUILD b/inetutils/PKGBUILD
new file mode 100644 (file)
index 0000000..27a41bc
--- /dev/null
@@ -0,0 +1,63 @@
+# $Id: PKGBUILD 80512 2010-05-18 01:21:50Z eric $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Eric Belanger <eric@archlinux.org>
+
+pkgname=inetutils
+pkgver=1.8
+pkgrel=1
+pkgdesc="A collection of common network programs"
+arch=('i686' 'x86_64' 'ppc')
+url="http://www.gnu.org/software/inetutils/"
+license=('GPL')
+depends=('readline' 'ncurses' 'pam' 'tcp_wrappers')
+provides=('netkit-ftp' 'netkit-rsh' 'netkit-telnet' 'netkit-ntalk')
+conflicts=('netkit-ftp' 'netkit-rsh' 'netkit-telnet' 'netkit-ntalk')
+replaces=('netkit-ftp' 'netkit-rsh' 'netkit-telnet' 'netkit-ntalk')
+backup=('etc/conf.d/ftpd' 'etc/xinetd.d/telnet' 'etc/xinetd.d/talk' \
+        'etc/xinetd.d/rexec' 'etc/xinetd.d/rlogin' 'etc/xinetd.d/rsh')
+options=('!emptydirs')
+install=inetutils.install
+source=(http://ftp.gnu.org/gnu/inetutils/${pkgname}-${pkgver}.tar.gz \
+        ftpd.rc ftpd.conf telnet.xinetd talk.xinetd rexec.xinetd rlogin.xinetd rsh.xinetd)
+md5sums=('ad8fdcdf1797b9ca258264a6b04e48fd' 'c167200f6faeb64659e69ced2a9d672a'\
+         'e6e6e5990a2e8159a276fef8fbf54c04' '8596208d119045543c5fb644e1d713d5'\
+         '2c3655985cf122591d71d031af84ff90' 'c490ea36751ac5f1d61d2c014959a3d1'\
+         'c25d8382a994de84d9c6962d804f689b' 'c3aa508a9d1293a787341108cd49c1b7')
+sha1sums=('598445859b511f73681e4d74a41d65cd6ae0f83e' '84dc802b5e57b5e04c847572225a3b9612017155'\
+         '68a590083b45997dfdb80e666b2de762f494ba74' 'bfad98a4a62f1fff8779f076c6019ed07f9111af'\
+         '27d99b910eec0fc26bd79ccc2c1de26608330298' '87aa4f38ebee9dac5dcaa04cbc3f2f0906bec605'\
+         '81f10b3b688e3952f793b35bcef63b5bf257a92b' '81f4a8da823cf0bb14284fc71ee6108849691eda')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --libexec=/usr/sbin --localstatedir=/var \
+    --mandir=/usr/share/man --infodir=/usr/share/info \
+    --with-wrap --with-pam \
+    --enable-ftp --enable-ftpd \
+    --enable-telnet --enable-telnetd \
+    --enable-talk --enable-talkd \
+    --enable-rlogin --enable-rlogind \
+    --enable-rsh --enable-rshd \
+    --enable-rexec --enable-rexecd \
+    --enable-rcp \
+    --disable-tftp --disable-tftpd \
+    --disable-ping --disable-ping6 \
+    --disable-logger --disable-syslogd \
+    --disable-inetd --disable-whois \
+    --disable-uucpd --disable-hostname \
+    --disable-ifconfig --disable-traceroute || return 1
+  make || return 1
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install || return 1
+
+  install -D -m755 "${srcdir}/ftpd.rc" "${pkgdir}/etc/rc.d/ftpd" || return 1
+  install -D -m644 "${srcdir}/ftpd.conf" "${pkgdir}/etc/conf.d/ftpd" || return 1
+  install -D -m644 "${srcdir}/telnet.xinetd" "${pkgdir}/etc/xinetd.d/telnet" || return 1
+  install -D -m644 "${srcdir}/talk.xinetd" "${pkgdir}/etc/xinetd.d/talk" || return 1
+  install -D -m644 "${srcdir}/rexec.xinetd" "${pkgdir}/etc/xinetd.d/rexec" || return 1
+  install -D -m644 "${srcdir}/rlogin.xinetd" "${pkgdir}/etc/xinetd.d/rlogin" || return 1
+  install -D -m644 "${srcdir}/rsh.xinetd" "${pkgdir}/etc/xinetd.d/rsh" || return 1
+}
diff --git a/inetutils/ftpd.conf b/inetutils/ftpd.conf
new file mode 100644 (file)
index 0000000..f660f00
--- /dev/null
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to ftpd
+#
+FTPD_ARGS=""
diff --git a/inetutils/ftpd.rc b/inetutils/ftpd.rc
new file mode 100644 (file)
index 0000000..3d0d344
--- /dev/null
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ftpd
+
+PID=$(pidof -o %PPID /usr/sbin/ftpd)
+case "$1" in
+  start)
+    stat_busy "Starting ftpd"
+    [ -z "$PID" ] && /usr/sbin/ftpd -D $FTPD_ARGS
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon ftpd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping ftpd"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon ftpd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/inetutils/inetutils.install b/inetutils/inetutils.install
new file mode 100644 (file)
index 0000000..b338fa4
--- /dev/null
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(inetutils.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
diff --git a/inetutils/rexec.xinetd b/inetutils/rexec.xinetd
new file mode 100644 (file)
index 0000000..4659e47
--- /dev/null
@@ -0,0 +1,10 @@
+service exec
+{
+        flags                   = REUSE
+        socket_type             = stream
+        wait                    = no
+        user                    = root
+        server                  = /usr/sbin/rexecd
+        log_on_failure          += USERID
+        disable                 = yes
+}
diff --git a/inetutils/rlogin.xinetd b/inetutils/rlogin.xinetd
new file mode 100644 (file)
index 0000000..5c72f86
--- /dev/null
@@ -0,0 +1,10 @@
+service login
+{
+        flags                   = REUSE
+        socket_type             = stream
+        wait                    = no
+        user                    = root
+        server                  = /usr/sbin/rlogind
+        log_on_failure          += USERID
+        disable                 = yes
+}
diff --git a/inetutils/rsh.xinetd b/inetutils/rsh.xinetd
new file mode 100644 (file)
index 0000000..a13738c
--- /dev/null
@@ -0,0 +1,10 @@
+service shell
+{
+        flags                   = REUSE
+        socket_type             = stream
+        wait                    = no
+        user                    = root
+        server                  = /usr/sbin/rshd
+        log_on_failure          += USERID
+        disable                 = yes
+}
diff --git a/inetutils/talk.xinetd b/inetutils/talk.xinetd
new file mode 100644 (file)
index 0000000..6abef35
--- /dev/null
@@ -0,0 +1,10 @@
+service ntalk
+{
+       flags                   = REUSE
+       socket_type             = dgram
+       wait                    = yes
+       user                    = root
+       server                  = /usr/sbin/talkd
+       log_on_failure          += USERID
+       disable                 = yes
+}
diff --git a/inetutils/telnet.xinetd b/inetutils/telnet.xinetd
new file mode 100644 (file)
index 0000000..bd3a5e4
--- /dev/null
@@ -0,0 +1,10 @@
+service telnet
+{
+       flags                   = REUSE
+       socket_type             = stream
+       wait                    = no
+       user                    = root
+       server                  = /usr/sbin/telnetd
+       log_on_failure          += USERID
+       disable                 = yes
+}
diff --git a/lhs2tex/PKGBUILD b/lhs2tex/PKGBUILD
new file mode 100644 (file)
index 0000000..0861430
--- /dev/null
@@ -0,0 +1,24 @@
+# Maintainer: Arch Haskell Team <arch-haskell@haskell.org>
+_hkgname=lhs2tex
+pkgname=lhs2tex
+pkgver=1.16
+pkgrel=1
+pkgdesc="Preprocessor for typesetting Haskell sources with LaTeX"
+url="http://hackage.haskell.org/package/${_hkgname}"
+license=('GPL')
+arch=('i686' 'x86_64' 'ppc')
+makedepends=('ghc' 'haskell-directory' 'haskell-extensible-exceptions' 'haskell-filepath' 'haskell-mtl' 'haskell-process' 'haskell-regex-compat')
+depends=('gmp')
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
+build() {
+    cd ${srcdir}/${_hkgname}-${pkgver}
+       ghc --make Setup.hs
+    ./Setup configure --prefix=/usr --docdir=/usr/share/doc/${pkgname} -O
+    ./Setup build
+}
+package() {
+    cd ${srcdir}/${_hkgname}-${pkgver}
+    ./Setup copy --destdir=${pkgdir}
+}
+md5sums=('d9a328cf54341a6722715411a195c2cc')
diff --git a/mobile-broadband-provider-info/PKGBUILD b/mobile-broadband-provider-info/PKGBUILD
new file mode 100644 (file)
index 0000000..2a96d7b
--- /dev/null
@@ -0,0 +1,19 @@
+# $Id: PKGBUILD 58536 2009-11-08 22:11:46Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinxu.org>
+
+pkgname=mobile-broadband-provider-info
+pkgver=20100510
+pkgrel=1
+pkgdesc="Network Management daemon"
+arch=('any')
+license=('other')
+url="http://git.gnome.org/browse/mobile-broadband-provider-info/"
+source=(http://download.gnome.org/sources/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('2effc6bab2214620400e1252a1dfc9d13d00bf446e4cfd50e9d9e31542053b51')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}
diff --git a/network-manager-applet/PKGBUILD b/network-manager-applet/PKGBUILD
new file mode 100644 (file)
index 0000000..439f04b
--- /dev/null
@@ -0,0 +1,35 @@
+# $Id: PKGBUILD 98196 2010-11-04 20:18:41Z ibiru $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Arjan Timmerman <arjan@archlinux.org>
+# Contributor: Wael Nasreddine <gandalf@siemens-mobiles.org>
+# Contributor: Tor Krill <tor@krill.nu>
+# Contributor: Will Rea <sillywilly@gmail.com>
+
+pkgname=network-manager-applet
+pkgver=0.8.2
+pkgrel=2
+pkgdesc="GNOME frontends to NetWorkmanager"
+arch=('i686' 'x86_64' 'ppc')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+depends=('networkmanager>=0.8.2' 'libglade' 'libgnome-keyring' 'polkit-gnome' 'notification-daemon' 'libnotify' 'gnome-icon-theme' 'mobile-broadband-provider-info')
+makedepends=('intltool' 'gnome-bluetooth')
+optdepends=('gnome-bluetooth: for PAN/DUN support')
+options=('!libtool')
+install=network-manager-applet.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.8/network-manager-applet-${pkgver}.tar.bz2)
+sha256sums=('c6f8723031092bd1c7db452df5578ec9ca8e9f98c2ea493dba7d40dbe0e02391')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var \
+      --libexecdir=/usr/lib/networkmanager \
+      --disable-maintainer-mode
+  make
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain nm-applet ${pkgdir}/etc/gconf/schemas/*.schemas
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}
diff --git a/network-manager-applet/network-manager-applet.install b/network-manager-applet/network-manager-applet.install
new file mode 100644 (file)
index 0000000..9922d12
--- /dev/null
@@ -0,0 +1,18 @@
+pkgname=network-manager-applet
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+  gtk-update-icon-cache -f -q -t /usr/share/icons/hicolor
+}
diff --git a/networkmanager/NetworkManager.conf b/networkmanager/NetworkManager.conf
new file mode 100644 (file)
index 0000000..c37b596
--- /dev/null
@@ -0,0 +1,2 @@
+[main]
+plugins=keyfile
diff --git a/networkmanager/PKGBUILD b/networkmanager/PKGBUILD
new file mode 100644 (file)
index 0000000..b31ede0
--- /dev/null
@@ -0,0 +1,59 @@
+# $Id: PKGBUILD 101685 2010-11-30 17:40:50Z heftig $
+# Maintainer: Jan de Groot <jgc@archlinxu.org>
+# Contri-butor: Wael Nasreddine <gandalf@siemens-mobiles.org>
+# Contributor: Tor Krill <tor@krill.nu>
+# Contributor: Will Rea <sillywilly@gmail.com>
+# Contributor: Valentine Sinitsyn <e_val@inbox.ru>
+
+pkgname=networkmanager
+pkgver=0.8.3
+pkgrel=0.20101130
+pkgdesc="Network Management daemon"
+arch=('i686' 'x86_64' 'ppc')
+license=('GPL')
+url="http://www.gnome.org/projects/NetworkManager/"
+depends=('dbus-glib' 'iproute2' 'libnl' 'nss' 'polkit' 'udev' 'wireless_tools' 'wpa_supplicant' 'ppp' 'dhcpcd')
+makedepends=('intltool' 'dhclient' 'iptables')
+optdepends=('modemmanager: for modem management service'
+            'dhclient: alternative DHCP/DHCPv6 client'
+            'iptables: Connection sharing'
+            'dnsmasq: Connection sharing'
+            'bluez: Bluetooth support')
+options=('!libtool')
+backup=('etc/NetworkManager/NetworkManager.conf')
+install=networkmanager.install
+#source=(http://ftp.gnome.org/pub/gnome/sources/NetworkManager/0.8/NetworkManager-${pkgver}.tar.bz2
+source=(http://mirrors.kernel.org/archlinux/other/networkmanager/NetworkManager-$pkgver-$pkgrel.tar.bz2
+        NetworkManager.conf disable_set_hostname.patch)
+md5sums=('1d4b43ab6789df72e8ac81905bb64662'
+         '1653159d6634fb62d3a5c548b7a56151'
+         'b7deda5bb47b3df0eb42782eabbaefe7')
+
+build() {
+  cd "${srcdir}/NetworkManager-${pkgver}"
+
+  patch -Np1 -i "${srcdir}/disable_set_hostname.patch"
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib/networkmanager \
+    --with-crypto=nss \
+    --with-distro=arch \
+    --with-dhclient=/usr/sbin/dhclient \
+    --with-dhcpcd=/sbin/dhcpcd \
+    --with-iptables=/usr/sbin/iptables \
+    --disable-static \
+    --enable-more-warnings=no
+
+  make
+}
+
+package() {
+  cd "${srcdir}/NetworkManager-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  install -m644 "${srcdir}/NetworkManager.conf" "${pkgdir}/etc/NetworkManager/"
+  install -m0755 test/.libs/nm-online "${pkgdir}/usr/bin/"
+}
diff --git a/networkmanager/create_dirs.patch b/networkmanager/create_dirs.patch
new file mode 100644 (file)
index 0000000..76e67d9
--- /dev/null
@@ -0,0 +1,45 @@
+From cbb0d6d116e2d5e844c2c118f2f707d10e6b6fc4 Mon Sep 17 00:00:00 2001
+From: Dan Williams <dcbw@redhat.com>
+Date: Mon, 08 Nov 2010 15:09:54 +0000
+Subject: build: create NM state directory at install time
+
+---
+diff --git a/src/Makefile.am b/src/Makefile.am
+index 8c01df0..d7dccaa 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -275,8 +275,10 @@ EXTRA_DIST = \
+       $(NetworkManager_DATA)
+ rundir=$(localstatedir)/run/NetworkManager
++statedir=$(localstatedir)/lib/NetworkManager
+ install-data-hook:
+       $(mkinstalldirs) -m 0700 $(DESTDIR)$(rundir)
++      $(mkinstalldirs) -m 0700 $(DESTDIR)$(statedir)
+ CLEANFILES = $(BUILT_SOURCES)
+--
+cgit v0.8.3-6-g21f6
+From e8da63889b4124cfe3344e38b0931abf208e98da Mon Sep 17 00:00:00 2001
+From: Dan Williams <dcbw@redhat.com>
+Date: Mon, 08 Nov 2010 15:07:08 +0000
+Subject: keyfile: create keyfile data directory during install
+
+So distributions don't have to do it.
+---
+diff --git a/system-settings/plugins/keyfile/Makefile.am b/system-settings/plugins/keyfile/Makefile.am
+index 1c1fd4a..c519adc 100644
+--- a/system-settings/plugins/keyfile/Makefile.am
++++ b/system-settings/plugins/keyfile/Makefile.am
+@@ -49,6 +49,8 @@ libnm_settings_plugin_keyfile_la_LIBADD = \
+       $(DBUS_LIBS) \
+       $(GIO_LIBS)
++keyfiledir=$(sysconfdir)/NetworkManager/system-connections
++
+ install-data-hook:
+       $(mkinstalldirs) -m 0755 $(DESTDIR)$(keyfiledir)
+--
+cgit v0.8.3-6-g21f6
diff --git a/networkmanager/disable_set_hostname.patch b/networkmanager/disable_set_hostname.patch
new file mode 100644 (file)
index 0000000..6c9e2f6
--- /dev/null
@@ -0,0 +1,19 @@
+diff -Nur NetworkManager-0.8.2.orig/src/nm-policy.c NetworkManager-0.8.2/src/nm-policy.c
+--- NetworkManager-0.8.2.orig/src/nm-policy.c  2010-11-03 12:58:42.000000000 -0700
++++ NetworkManager-0.8.2/src/nm-policy.c       2010-11-23 06:22:32.436707081 -0800
+@@ -342,6 +342,7 @@
+               return;
+       }
++#if 0
+       /* Try automatically determined hostname from the best device's IP config */
+       if (!best4)
+               best4 = get_best_ip4_device (policy->manager, &best_req4);
+@@ -396,6 +397,7 @@
+               }
+       }
++#endif
+       /* If no automatically-configured hostname, try using the hostname from
+        * when NM started up.
+        */
diff --git a/networkmanager/networkmanager.install b/networkmanager/networkmanager.install
new file mode 100644 (file)
index 0000000..63fb219
--- /dev/null
@@ -0,0 +1,8 @@
+post_upgrade() {
+  (( $(vercmp 0.8.3 $2) > 0 )) && cat <<MSG
+ATTENTION:
+  /etc/NetworkManager/nm-system-settings.conf has been replaced
+  by /etc/NetworkManager/NetworkManager.conf. Make sure you move
+  any custom settings to the new config file.
+MSG
+}